管理 Google Workspace 管理員隔離區中的電子郵件訊息。
- REST 資源:v1.customers.operations
- REST 資源:v1.customers.quarantinedMessages
- REST 資源:v1.customers.quarantines
服務:mailadminquarantine.googleapis.com
如要呼叫這項服務,建議您使用 Google 提供的用戶端程式庫。如果您的應用程式需要使用自己的程式庫呼叫這項服務,請在發出 API 要求時使用下列資訊。
服務端點
服務端點是指定 API 服務網路位址的基準網址。一項服務可能有多個服務端點。這項服務有以下服務端點,且下方的 URI 皆以此服務端點為基準:
https://mailadminquarantine.googleapis.com
REST 資源:v1.customers.operations
| 方法 | |
|---|---|
get |
GET /v1/{name=customers/*/operations/*} 取得長時間執行的作業的最新狀態。 |
REST 資源:v1.customers.quarantinedMessages
| 方法 | |
|---|---|
batchDeny |
POST /v1/{parent=customers/*}/quarantinedMessages:batchDeny 以非同步方式拒絕訊息清單。 |
batchRelease |
POST /v1/{parent=customers/*}/quarantinedMessages:batchRelease 以非同步方式釋出一系列訊息。 |
deny |
POST /v1/{name=customers/*/quarantinedMessages/*}:deny 拒絕隔離區中的郵件。 |
get |
GET /v1/{name=customers/*/quarantinedMessages/*} 取得隔離郵件的中繼資料和內容。 |
list |
GET /v1/{parent=customers/*}/quarantinedMessages 使用特定篩選條件查詢隔離郵件。 |
release |
POST /v1/{name=customers/*/quarantinedMessages/*}:release 將郵件從隔離區釋出,傳送給收件者。 |
search |
POST /v1/{parent=customers/*}/quarantinedMessages:search 使用特定搜尋查詢,搜尋隔離郵件。 |
REST 資源:v1.customers.quarantines
| 方法 | |
|---|---|
get |
GET /v1/{name=customers/*/quarantines/*} 取得隔離區。 |
list |
GET /v1/{parent=customers/*}/quarantines 傳回這名客戶定義的所有隔離區清單。 |